#ifndef ESAPITOOLS_H
#define ESAPITOOLS_H

#include "EsapiCommon.h"
#include "Encoder.h"
using esapi::Encoder;
#include "EsapiTypes.h"
#include "reference/DefaultEncoder.h"
using esapi::DefaultEncoder;
#include "util/TextConvert.h"
using esapi::TextConvert;

#include "text_t.h"

esapi::NarrowString text_t_to_esapi_narrow_string(text_t& in);
esapi::WideString text_t_to_esapi_wide_string(text_t& in);

text_t esapi_narrow_string_to_text_t(esapi::NarrowString& in);
text_t esapi_wide_string_to_text_t(esapi::WideString& in);

esapi::NarrowString encodeForHTML(const esapi::NarrowString & input);

#endif
